Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.xml
Interface CauchoElement

All Superinterfaces:
  CauchoNode, Element, Node

All Known Implementing Classes:
  QElement

public interface CauchoElement
extends Element, CauchoNode

CauchoElement extends the DOM, providing for ordered Attributes.

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`Attr` | `getFirstAttribute()` Returns the first attribute of the element.
`java.lang.String` | `getNamespace(java.lang.String prefix)` Returns the URL for a given namespace prefix.

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Methods inherited from interface com.caucho.xml.CauchoNode
`checkValid, getCanonicalName, getColumn, getFilename, getLine, getLocalName, getNamespaceURI, getPrefix, getTextValue, print, printHtml, printPretty, setLocation`

Method Detail

### getFirstAttribute

    public Attr getFirstAttribute()

  Returns the first attribute of the element.

### getNamespace

    public java.lang.String getNamespace(java.lang.String prefix)

  Returns the URL for a given namespace prefix.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD